Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.server
Class PageContextWrapper

    java.lang.Object
      javax.servlet.jsp.PageContext
          org.apache.cactus.server.AbstractPageContextWrapper
              org.apache.cactus.server.PageContextWrapper

public class PageContextWrapper
extends AbstractPageContextWrapper

Wrapper around `PageContext` so that get methods that would normally return implicit objects will now return Cactus wrapper of implicit objects instead.

Version:
  $Id: PageContextWrapper.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary

Fields inherited from class org.apache.cactus.server.AbstractPageContextWrapper
`originalPageContext, url`

Fields inherited from class javax.servlet.jsp.PageContext
`APPLICATION, APPLICATION_SCOPE, CONFIG, EXCEPTION, OUT, PAGE, PAGE_SCOPE, PAGECONTEXT, REQUEST, REQUEST_SCOPE, RESPONSE, SESSION, SESSION_SCOPE`

Constructor Summary
`PageContextWrapper(javax.servlet.jsp.PageContext theOriginalPageContext, ServletURL theURL)` Construct an `PageContext` instance that delegates it's method calls to the page context object passed as parameter and that uses the URL passed as parameter to simulate a URL from which the request would come from.

Methods inherited from class org.apache.cactus.server.AbstractPageContextWrapper
`findAttribute, forward, getAttribute, getAttribute, getAttributeNamesInScope, getAttributesScope, getException, getOriginalPageContext, getOut, getPage, getRequest, getResponse, getServletConfig, getServletContext, getSession, handlePageException, include, initialize, popBody, pushBody, release, removeAttribute, removeAttribute, setAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageContextWrapper

    public PageContextWrapper(javax.servlet.jsp.PageContext theOriginalPageContext,
                              ServletURL theURL)

  Construct an `PageContext` instance that delegates it's method calls to the page context object passed as parameter and that uses the URL passed as parameter to simulate a URL from which the request would come from.

Parameters:
  `theOriginalPageContext` - the real page context
  `theURL` - the URL to simulate or `null` if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.